#ifndef MAIN_H_
#define MAIN_H_

#include <stdint.h>

#define START_GAP_MIN 1500
#define ONE_WIDTH_MIN 170
#define ONE_WIDTH_MAX 260
#define ZERO_WIDTH_MIN 70
#define ZERO_WIDTH_MAX 150

typedef struct receivedData_s {
  uint8_t minuteDigit0;
  uint8_t minuteDigit1;
  uint8_t minuteOneCnt;
  uint8_t hourDigit0;
  uint8_t hourDigit1;
  uint8_t hourOneCnt;
  uint8_t dayDigit0;
  uint8_t dayDigit1;
  uint8_t weekdayDigit0;
  uint8_t monthDigit0;
  uint8_t monthDigit1;
  uint8_t yearDigit0;
  uint8_t yearDigit1;
  uint8_t dateOneCnt;
} receivedData_t;




#endif /* MAIN_H_ */
